extends MeshInstance3D

@export var movement := Vector3(3, 0, 0)
@export var duration := 2.0
@export var transition_type := Tween.TRANS_SINE
@export var ease_type := Tween.EASE_IN

@onready var start_position := position


func activate() -> void:
	var end_position := start_position + movement
	position = start_position
	(
		create_tween()
		. tween_property(self, "position", end_position, duration)
		. set_trans(transition_type)
		. set_ease(ease_type)
	)
